<?php 
//*
//$Id: sousformdyn.php,v 1.3 2007-07-10 14:09:16 fgiva Exp $
header('Content-type: text/html; charset=iso-8859-1');
//header("Content-Type:text/plain; charset=iso-8859-1");
include ("../dyn/session.inc");
//===================================
//$objsf = "composant",...;
//$retourformulaire="station",...;
//$typeformulaire="stationmairie",...;
if (isset ($_POST['objsf'])){
   $objsf=$_POST['objsf'];
}else{
   $objsf=0;
}
if (isset ($_POST['premiersf'])){
   $premiersf=$_POST['premiersf'];
}else{
   $premiersf=0;
}
if(isset($_POST['trisf'])) 
    $tricolsf=$_POST['trisf'];
else
    $tricolsf="";
if (isset ($_POST['retourformulaire'])){
   $retourformulaire=$_POST['retourformulaire'];
}else{
   $retourformulaire=0;
}
$typeformulaire="";
//===================================


// librairies utilisée(s) ===================================================
require_once "DB.php";
include ("../dyn/connexion.php");
// objet metier
include ("../obj/".$objsf.".class.php");
// Paramétrage ===============================================================
include ("../sql/".$dsn['phptype']."/".$objsf.".form.inc");
$DEBUG = 0;
$table = $objsf;
//$aff = $objsf.".form.php";
//============================================================================
// identifiant enregistrement
// flag maj 0=ajouter 1=modifier 2=detruire
if (!isset ($table)) // compatibilité php4
   $table="";
if (isset($_POST['idx'])) {
    $idx=$_POST['idx'];
      if (isset ($_POST['ids'])){
        $enteteTab = "Table ".$table." Suppression";
        $ent = $ent."->Suppression ";
        $maj = 2;
      }else{
        $enteteTab = "Table ".$table." Modification";
        $ent = $ent."->Modification ";
        $maj = 1;
      }
} else {
   $idx="]";
   if (isset ($_POST['ids'])) {
     $enteteTab = "Table ".$table." Vidage";
     $ent = $ent."->Vidage ";
     $maj = 3;
   } else{
     $enteteTab = "Table ".$table." Ajout";
     $ent = $ent."->Ajout ";
     $maj = 0;
   }
}

// validation
if (isset ($_POST['validation'])){
   $validation=$_POST['validation'];
}else{
   $validation=0;
}
// lien avec article
if (isset ($_POST['idxformulaire']))
   $idxformulaire=$_POST['idxformulaire'];
else
   $idxformulaire="";
//dsn  ======================================================================
$db=& DB :: connect($dsn, $db_option);
if (DB :: isError($db)) {
    die($db->getMessage());
    }
 else{
    if($DEBUG==1)
    echo "La base ".$dsn['database']." est connectée.<br>";
 }

$sql =  "SELECT * from collectivite ";
$res = $db->query($sql);
if (DB :: isError($res))
   die($res->getMessage()."erreur ".$sql);
else{
   while ($row=& $res->fetchRow()){
              $ville=$row[0];
              $logo=$row[1];
}}
$res->free();
// variable droit
$sql =  "SELECT profil from droit where droit= '".$table."'";
$droit =$db->getOne($sql);
//*
// entete et charte HTML =====================================================
// * custom *
include("../dyn/cg.css");
if(file_exists("../dyn/custom/cg.css")) {
   include("../dyn/custom/cg.css");
}
//*
//echo "<HTML>";
// * custom *
if(file_exists("../dyn/custom/var.inc")) {
   include("../dyn/custom/var.inc");
}
else {
  include("../dyn/var.inc");
}
//*
// entete et charte HTML
// * custom *
/*    $tmp='';
    $tmp = strrchr($ico, '/');
    if (!isset($tmp))
       $tmp=substr($tmp,1,(strlen($tmp)-1));
    else
        $tmp=$ico;
    if(file_exists("../dyn/custom/img/".$tmp.'"')) {
       $ico= "../dyn/custom/img/".$tmp;
    }
    else {
       $ico = "../img/".$tmp;
    }
    if (ereg("->",$ent)) {
       if(file_exists("../dyn/custom/img/fleche_droite.png")) {
          $ent=str_replace("->", "<img src='../dyn/custom/img/fleche_droite.png' align='middle' hspace='1' border='0'>", $ent);
       }
       else {
          $ent=str_replace("->", "<img src='../img/fleche_droite.png' align='middle' hspace='1' border='0'>", $ent);
       }
    }*/
// * *
echo "<table id='entetesf' border='0'>";
echo "<tr><td align='left'>".$ent."<td align='right'></td></tr></table>";

echo "<div id='formulaire'>";
// ===========================================================================
// objet metier
If ($_SESSION['profil'] >= $droit){
   $enr = new $objsf($idx,$db,$DEBUG);
   // mode DEBUG message de l'objet métier
   if ($DEBUG == 1)
       echo "Objet métier =><br> ".$enr->msg;
   $validation++;
   $enr->sousformulaire($enteteTab,$validation,$maj,$db,$HTTP_POST_VARS,$DEBUG,$idx,$idxformulaire,$retourformulaire,$typeformulaire,$objsf,$premiersf,$tricolsf);
   // deconnexion
   $db->disconnect();
   if ($DEBUG == 1)
      echo "la base ".$dsn['database']." est déconnectée<br>";
}else
    echo "Droits insuffisants ou reconnectez vous";
 // *
echo "</div>";
?>